SSPACE(1)

NAME
sspace - SSPACE-basic scaffolding tool

SYNOPSIS

sspace [options] -l [libraryfilename] -s [contigfilename]

DESCRIPTION

SSPACE is a script able to extend and scaffold pre-assembled contigs using one or more mate pairs or paired-end libraries, or even a combination.

Please read the README file at /usr/share/doc/sspace/README.gz for more information.

OPTIONS

  General Parameters

-l
    Library file containing two paired read files with insert size, error and either mate pair or paired end indication (REQUIRED)

-s
    FASTA file containing contig sequences used for extension. Inserted pairs are mapped to extended and non-extended contigs (REQUIRED)

-x
    Indicate whether to extend the contigs of -s using paired reads in -l (-x 1=extension, -x 0=no extension, default -x 0)

  Extension Parameters

-m
    Minimum number of overlapping bases with the seed/contig during overhang consensus build up (default -m 32)

-o
    Minimum number of reads needed to call a base during an extension (default -o 20)

-t
    Trim up to -t base(s) on the contig end when all possibilities have been exhausted for an extension (default -t 0)

-u
    FASTA/FASTQ file containing unpaired sequence reads (optional)

-r
    Minimum base ratio used to accept a overhang consensus base (default -r 0.9)

  Scaffolding Parameters

-z
    Minimum contig length used for scaffolding. Filters out contigs below this value (default -z 0)

-k
    Minimum number of links (read pairs) to compute scaffold (default -k 5)

-a
    Maximum link ratio between two best contig pairs. Higher values lead to least accurate scaffolding (default -a 0.7)

-n
    Minimum overlap required between contigs to merge adjacent contigs in a scaffold (default -n 15)

  Bowtie Parameters

-g
    Maximum number of allowed gaps during mapping with Bowtie. Corresponds to the -v option in Bowtie. Higher number of allowed gaps can lead to least accurate scaffolding. (default -g 0)

-T
    Specify the number of threads in Bowtie. Corresponds to the -p/--threads option in Bowtie (default -T 1)

  Additional Parameters

-b
    Base name for your output files (default -b standard_output)

-v
    Runs in verbose mode (-v 1=yes, -v 0=no, default -v 0)

-p
    Make .dot file for visualisation (-p 1=yes, -p 0=no, default -p 0)

AUTHORS

Marten Boetzer, Walter Pirovano, Nicola Soranzo